download latest updates to beta 2 (18apr13)- no desktop

Bug #1170368 reported by peter bromley on 2013-04-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Incomplete
Undecided
Unassigned

Bug Description

have been running 13 final beta fine with no major problems.

have been doing updates as /when they are available.

however today 18apr 13 , after download and restart get as far as userlogon then no icons/desktop only get the background picture .
system reported a crash but no opportunity to add comments, lots of dick activity but no indication report had been sent .
several reboots but same result .
is it back to the cd cut when beta released or just wait with broken pc until official release ?
please advise - and no, no data dumps available as obviously this is being written on a different pc
Thanks
Peter

Christopher Townsend (townsend) wrote :

Hi Peter,

Could you switch to a virtual terminal (press Ctrl-Alt-F1) and login to the terminal. From there could you issue "sudo apport-collect 1170368"? After getting this info, we may ask for some more info.

Thanks!

Changed in unity:
status: New → Incomplete

HI ,
thanks for your advice.

I did that but it asked for apport to be installed, did that then issues the command again and got : lanchpadlib python module not installed , this functionality not available.

afraid i don't know Ubuntu that well to know how to solve this, please advise .
truied a reboot then repeated the command but same result

 Thanks,
Peter

>________________________________
> From: Christopher Townsend <email address hidden>
>To: <email address hidden>
>Sent: Thursday, 18 April 2013, 18:50
>Subject: [Bug 1170368] Re: download latest updates to beta 2 (18apr13)- no desktop
>
>
>Hi Peter,
>
>Could you switch to a virtual terminal (press Ctrl-Alt-F1) and login to
>the terminal.  From there could you issue "sudo apport-collect 1170368"?
>After getting this info, we may ask for some more info.
>
>Thanks!
>
>** Changed in: unity
>      Status: New => Incomplete
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/1170368
>
>Title:
>  download latest updates to beta 2 (18apr13)- no desktop
>
>Status in Unity:
>  Incomplete
>
>Bug description:
>  have been running 13 final beta fine with no major problems.
>
>  have been doing updates as /when they are available.
>
>  however today 18apr 13 , after download and restart get as far as userlogon then no icons/desktop only get the background picture .
>  system reported a crash but no opportunity to add comments, lots of dick activity but no indication report had been sent .
>  several reboots but same result .
>  is it back to the cd cut when beta released or just wait with broken pc until official release ?
>  please advise - and no,  no data dumps available as obviously this is being written on a different pc
>  Thanks
>  Peter
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/unity/+bug/1170368/+subscriptions
>
>
>

Christopher Townsend (townsend) wrote :

Hi Peter,

Sorry about the packages not being installed.

Try 'sudo apt-get install python-launchpadlib' and allow it to install. Then retry the apport-collect command again.

Hopefully that'll do it.

Thanks!

peter bromley (pgbromleyuk) wrote :

Hi,
ok did that .
got and then ran the command

then got  ..
........ should be opening in your browser . use the browser to authorize this
program to access launchpad or wait
... waiting to hear from launchpad abut your decision...

unexpected response from launchpad
HTTP error 502: Bad ?????

 ... then eventual a load of html (looks like a scrip that should have run in the browser ...
then it hung .
eventually after control c ...

a load of lines with file=" ......
and more script then back to the terminal .

any clues what to do next ?

Thanks,
Peter Bromley.

>________________________________
> From: Christopher Townsend <email address hidden>
>To: <email address hidden>
>Sent: Thursday, 18 April 2013, 20:51
>Subject: [Bug 1170368] Re: download latest updates to beta 2 (18apr13)- no desktop
>
>
>Hi Peter,
>
>Sorry about the packages not being installed.
>
>Try 'sudo apt-get install python-launchpadlib' and allow it to install.
>Then retry the apport-collect command again.
>
>Hopefully that'll do it.
>
>Thanks!
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/1170368
>
>Title:
>  download latest updates to beta 2 (18apr13)- no desktop
>
>Status in Unity:
>  Incomplete
>
>Bug description:
>  have been running 13 final beta fine with no major problems.
>
>  have been doing updates as /when they are available.
>
>  however today 18apr 13 , after download and restart get as far as userlogon then no icons/desktop only get the background picture .
>  system reported a crash but no opportunity to add comments, lots of dick activity but no indication report had been sent .
>  several reboots but same result .
>  is it back to the cd cut when beta released or just wait with broken pc until official release ?
>  please advise - and no,  no data dumps available as obviously this is being written on a different pc
>  Thanks
>  Peter
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/unity/+bug/1170368/+subscriptions
>
>
>

Christopher Townsend (townsend) wrote :

Hi Peter,

Bah, that silly program needs the web browser which you obviously can't use:(

Well, let's try one last thing. Try 'sudo apport-cli -u 1170368'. I'm not sure if that requires the web browser either, but it's worth a shot.

Thanks!

peter bromley (pgbromleyuk) wrote :

Hi,
thanks for keeping with me on this , i'm on step away from re-instaling from the cd but if you think you can get useful info we will try again...

when i tried this i got the old message from last time
error: the launchpadlib python module is not installed . the function is not available.....

i tried to sudo apt-get install python-launchpadlib incase somehow that had got lost but it returned ...

pythin-lauchpadlib is already the newest version ...
tried sudo apport-cli -u 1170368 one last time with the
same returned error message :
error: the launchpadlib python module is not installed . the function is not available.....

any more ideas or should we give up ?

any point reinstalling the old cd from last week with final beta rather than cutting a new one ?

my worry is that once it is loadedf and running there will be updates and i will end up here again. So are ther other users with this probem ?

i don't want to have a u/s computer for a week waiting for the actual release of 13 if i can avoid it.

Thanks,
Peter

>________________________________
> From: Christopher Townsend <email address hidden>
>To: <email address hidden>
>Sent: Thursday, 18 April 2013, 21:49
>Subject: [Bug 1170368] Re: download latest updates to beta 2 (18apr13)- no desktop
>
>
>Hi Peter,
>
>Bah, that silly program needs the web browser which you obviously can't
>use:(
>
>Well, let's try one last thing.  Try 'sudo apport-cli -u 1170368'.  I'm
>not sure if that requires the web browser either, but it's worth a shot.
>
>Thanks!
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/1170368
>
>Title:
>  download latest updates to beta 2 (18apr13)- no desktop
>
>Status in Unity:
>  Incomplete
>
>Bug description:
>  have been running 13 final beta fine with no major problems.
>
>  have been doing updates as /when they are available.
>
>  however today 18apr 13 , after download and restart get as far as userlogon then no icons/desktop only get the background picture .
>  system reported a crash but no opportunity to add comments, lots of dick activity but no indication report had been sent .
>  several reboots but same result .
>  is it back to the cd cut when beta released or just wait with broken pc until official release ?
>  please advise - and no,  no data dumps available as obviously this is being written on a different pc
>  Thanks
>  Peter
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/unity/+bug/1170368/+subscriptions
>
>
>

Christopher Townsend (townsend) wrote :

Hi Peter,

Grrr! Well, that's certainly a bug in apport-cli.

Here is one last thing to try. I *think* X windows is still running, but Compiz has crashed. If this is the case, then I think we should still be able to use Firefox after you have logged in.

1. Log in.
2. Hit Ctrl-Alt-T to bring up the terminal. (I hope this step works!)
3. In the terminal, type "sudo apport-collect 1170368". This will hopefully open Firefox.
4. Enter the necessary info.

If this doesn't work, then I'm out of ideas. As far a re-installing 13.04, you most likely will run into the same issue again. We have been seeing an abnormal amount of the same type of problem you are seeing with machines that have Nvidia graphics. Do you happen to have Nvidia graphics in your machine?

Thanks,
Chris

Christopher Townsend (townsend) wrote :

Oh, one last thing.

After you have tried getting the logs in the steps provided in my last comment, you may want to try to do an update of your system. A kernel and many other packages have been updated recently.

You can do this in the terminal via command line.

1. sudo apt-get update
2. sudo apt-get dist-uprade

This *might* fix the issue. Please let me know if it does or doesn't fix it.

peter bromley (pgbromleyuk) wrote :

Hi,
you sent two notes , the other oen suggested the sme command as last time and still failed.
yes i do have a nvidia graphics card.
first command below runs but second one, does it have a syntax error ?
2. sudo apt-get dist-uprade

is that "dist-upgrade" because of so it says invalid operation ?

what happens next ?

Thanks,
Peter

>________________________________
> From: Christopher Townsend <email address hidden>
>To: <email address hidden>
>Sent: Friday, 19 April 2013, 13:41
>Subject: [Bug 1170368] Re: download latest updates to beta 2 (18apr13)- no desktop
>
>
>Oh, one last thing.
>
>After you have tried getting the logs in the steps provided in my last
>comment, you may want to try to do an update of your system.  A kernel
>and many other packages have been updated recently.
>
>You can do this in the terminal via command line.
>
>1. sudo apt-get update
>2. sudo apt-get dist-uprade
>
>This *might* fix the issue.  Please let me know if it does or doesn't
>fix it.
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/1170368
>
>Title:
>  download latest updates to beta 2 (18apr13)- no desktop
>
>Status in Unity:
>  Incomplete
>
>Bug description:
>  have been running 13 final beta fine with no major problems.
>
>  have been doing updates as /when they are available.
>
>  however today 18apr 13 , after download and restart get as far as userlogon then no icons/desktop only get the background picture .
>  system reported a crash but no opportunity to add comments, lots of dick activity but no indication report had been sent .
>  several reboots but same result .
>  is it back to the cd cut when beta released or just wait with broken pc until official release ?
>  please advise - and no,  no data dumps available as obviously this is being written on a different pc
>  Thanks
>  Peter
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/unity/+bug/1170368/+subscriptions
>
>
>

peter bromley (pgbromleyuk) wrote :

Ok ,

i managed to get a terminal running and after issuing the command it did bring up Firefox , i allowed reporting on the web site and then it said nothing to report !

Then i figured out what you meant was sudo apt-get upgrade so excited that.

it did come up with some package error's during the build  i could not note anything in detail in time but it said the would not be included (do you know about that ?).

anyway after a hard reboot it has now come up with a desktop .
what do you want me to do now or has all the evidence gone , anything else to reconfigure and finally should i do any other updates now until 13 get formally released ?

thanks for all your help .

Thanks,
Peter

>________________________________
> From: peter bromley <email address hidden>
>To: Bug 1170368 <email address hidden>
>Sent: Friday, 19 April 2013, 14:21
>Subject: Re: [Bug 1170368] Re: download latest updates to beta 2 (18apr13)- no desktop
>
>
>
>Hi,
>you sent two notes , the other oen suggested the sme command as last time and still failed.
>yes i do have a nvidia graphics card.
>first command below runs but second one, does it have a syntax error ?
>2. sudo apt-get dist-uprade
>
>is that "dist-upgrade" because of so it says invalid operation ?
>
>
>what happens next ?
>
>
>Thanks,
>Peter
>
>
>
>>________________________________
>> From: Christopher Townsend <email address hidden>
>>To: <email address hidden>
>>Sent: Friday, 19 April 2013, 13:41
>>Subject: [Bug 1170368] Re: download latest updates to beta 2 (18apr13)- no desktop
>>
>>
>>Oh, one last thing.
>>
>>After you have tried getting the logs in the steps provided in my last
>>comment, you may want to try to do an update of your system.  A kernel
>>and many other packages have been updated recently.
>>
>>You can do this in the terminal via command line.
>>
>>1. sudo apt-get update
>>2. sudo apt-get dist-uprade
>>
>>This *might* fix the issue.  Please let me
 know if it does or doesn't
>>fix it.
>>
>>--
>>You received this bug notification because you are subscribed to the bug
>>report.
>>https://bugs.launchpad.net/bugs/1170368
>>
>>Title:
>>  download latest updates to beta 2 (18apr13)- no desktop
>>
>>Status in Unity:
>>  Incomplete
>>
>>Bug description:
>>  have been running 13 final beta fine with no major problems.
>>
>>  have been doing updates as /when they are available.
>>
>>  however today 18apr 13 , after download and restart get as far as userlogon then no icons/desktop only get the background picture .
>>  system reported a crash but no opportunity to add comments, lots of dick activity but no indication report had been sent .
>>  several reboots but same result .
>>  is it back to the cd cut when beta released or just wait with broken pc until official release
 ?
>>  please advise - and no,  no data dumps available as obviously this is being written on a different pc
>>  Thanks
>>  Peter
>>
>>To manage notifications about this bug go to:
>>https://bugs.launchpad.net/unity/+bug/1170368/+subscriptions
>>
>>
>>
>
>

Hi Peter,

Yeah, sorry for the typo in "dist-upgrade".

So it looks like it has been fixed by some updated package. At this point it's really hard to tell which package it might have been, but it's really good news that it's working now.

The only thing I can say is that this is a pitfall of running beta software that things like this can happen. Since you do have Nvidia hardware, I'm going to duplicate this bug to bug #1166765 since I'm quite confident that it's the same issue.

Thanks again for trying to get logs, etc. and I apologize for the bug reporting tools for being so buggy. I'm going to follow up on that with other folks.

Cheers!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers